<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litepie',

    /*
     * Package.
     */
    'package'   => 'campaign',

    /*
     * Modules.
     */
    'modules'   => ['campaign_task', 
'campaign', 
'campaign_variant', 
'campign_cooperation'],

    'campaign_task'       => [
        'model' => [
            'model'                 => \Litepie\Campaign\Models\CampaignTask::class,
            'table'                 => 'campaign_tasks',
            'presenter'             => \Litepie\Campaign\Repositories\Presenter\CampaignTaskPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'task',  'task_type',  'campaign_stage',  'booking_variant',  'information',  'task_from',  'task_for',  'date',  'status',  'done_on',  'slug',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'campaign/campaign_task',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Campaign',
            'module'    => 'CampaignTask',
        ],

    ],

    'campaign'       => [
        'model' => [
            'model'                 => \Litepie\Campaign\Models\Campaign::class,
            'table'                 => 'campaigns',
            'presenter'             => \Litepie\Campaign\Repositories\Presenter\CampaignPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'name',  'brand_id',  'price',  'planning_date',  'start_campaign',  'end_campaign',  'description',  'objectives',  'targetgroups',  'content',  'images',  'video',  'total_budget',  'media_cost',  'sum_discount',  'total_mediacost',  'incentives',  'rest_budget',  'timing',  'reach',  'publishing',  'variant_id',  'participants',  'AIs',  'CTR',  'contact',  'list_price',  'paid_price',  'discount',  'user_id',  'user_type',  'slug',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'campaign/campaign',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Campaign',
            'module'    => 'Campaign',
        ],

    ],

    'campaign_variant'       => [
        'model' => [
            'model'                 => \Litepie\Campaign\Models\CampaignVariant::class,
            'table'                 => 'campaign_variants',
            'presenter'             => \Litepie\Campaign\Repositories\Presenter\CampaignVariantPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'variant_id',  'campaign_id',  'brand_id',  'user_type',  'user_id',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'campaign/campaign_variant',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Campaign',
            'module'    => 'CampaignVariant',
        ],

    ],

    'campign_cooperation'       => [
        'model' => [
            'model'                 => \Litepie\Campaign\Models\CampignCooperation::class,
            'table'                 => 'campign_cooperations',
            'presenter'             => \Litepie\Campaign\Repositories\Presenter\CampignCooperationPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'cooperation_id',  'campaign_id',  'brand_id',  'user_id',  'user_type',  'created_at',  'updated_at',  'deleted_at'],
            'translatables'         => [],
            'upload_folder'         => 'campaign/campign_cooperation',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litepie',
            'package'   => 'Campaign',
            'module'    => 'CampignCooperation',
        ],

    ],
];
