<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCampaignTasksTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: campaign_tasks
         */
        Schema::create('campaign_tasks', function ($table) {
            $table->increments('id');
            $table->string('task', 255)->nullable();
            $table->string('task_type', 255)->nullable();
            $table->string('campaign_stage', 255)->nullable();
            $table->string('booking_variant', 255)->nullable();
            $table->text('information')->nullable();
            $table->string('task_from', 255)->nullable();
            $table->string('task_for', 255)->nullable();
            $table->date('date')->nullable();
            $table->string('status', 255)->nullable();
            $table->date('done_on')->nullable();
            $table->string('slug', 60)->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 60)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('campaign_tasks');
    }
}
