<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateCampaignsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: campaigns
         */
        Schema::create('campaigns', function ($table) {
            $table->increments('id');
            $table->string('name', 255)->nullable();
            $table->integer('brand_id')->nullable();
            $table->float('price')->nullable();
            $table->date('planning_date')->nullable();
            $table->date('start_campaign')->nullable();
            $table->date('end_campaign')->nullable();
            $table->text('description')->nullable();
            $table->text('objectives')->nullable();
            $table->text('targetgroups')->nullable();
            $table->text('content')->nullable();
            $table->float('images')->nullable();
            $table->float('video')->nullable();
            $table->float('total_budget')->nullable();
            $table->float('media_cost')->nullable();
            $table->float('sum_discount')->nullable();
            $table->float('total_mediacost')->nullable();
            $table->float('incentives')->nullable();
            $table->float('rest_budget')->nullable();
            $table->text('timing')->nullable();
            $table->text('reach')->nullable();
            $table->string('publishing', 255)->nullable();
            $table->integer('variant_id')->nullable();
            $table->text('participants')->nullable();
            $table->text('AIs')->nullable();
            $table->text('CTR')->nullable();
            $table->text('contact')->nullable();
            $table->float('list_price')->nullable();
            $table->float('paid_price')->nullable();
            $table->float('discount')->nullable();
            $table->integer('user_id')->nullable();
            $table->string('user_type', 60)->nullable();
            $table->string('slug', 60)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('campaigns');
    }
}
