Lavalite package that provides campaign management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litepie/campaign`.

    "litepie/campaign": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litepie\Campaign\Providers\CampaignServiceProvider::class,

And also add it to alias

    'Campaign'  => Litepie\Campaign\Facades\Campaign::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litepie\\CampaignTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litepie\Campaign\Providers\CampaignServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litepie\Campaign\Providers\CampaignServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litepie\Campaign\Providers\CampaignServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/campaign/{modulename}

**User**

    http://path-to-route-folder/user/campaign/{modulename}

**Public**

    http://path-to-route-folder/campaigns


### API endpoints

**List**

    http://path-to-route-folder/api/user/campaign/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/campaign/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/campaign/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/campaign/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/campaign/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/campaign/{modulename}/{slug}
    METHOD: GET