<?php

namespace Litepie\Campaign\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind CampaignTask policy
        'Litepie\Campaign\Models\CampaignTask' => \Litepie\Campaign\Policies\CampaignTaskPolicy::class,
// Bind Campaign policy
        'Litepie\Campaign\Models\Campaign' => \Litepie\Campaign\Policies\CampaignPolicy::class,
// Bind CampaignVariant policy
        'Litepie\Campaign\Models\CampaignVariant' => \Litepie\Campaign\Policies\CampaignVariantPolicy::class,
// Bind CampignCooperation policy
        'Litepie\Campaign\Models\CampignCooperation' => \Litepie\Campaign\Policies\CampignCooperationPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
