<?php

namespace Litepie\Campaign\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampaignTaskTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Campaign\Models\CampaignTask $campaign_task)
    {
        return [
            'id'                => $campaign_task->getRouteKey(),
            'key'               => [
                'public'    => $campaign_task->getPublicKey(),
                'route'     => $campaign_task->getRouteKey(),
            ], 
            'task'              => $campaign_task->task,
            'task_type'         => $campaign_task->task_type,
            'campaign_stage'    => $campaign_task->campaign_stage,
            'booking_variant'   => $campaign_task->booking_variant,
            'information'       => $campaign_task->information,
            'task_from'         => $campaign_task->task_from,
            'task_for'          => $campaign_task->task_for,
            'date'              => $campaign_task->date,
            'done_on'           => $campaign_task->done_on,
            'slug'              => $campaign_task->slug,
            'user_id'           => $campaign_task->user_id,
            'user_type'         => $campaign_task->user_type,
            'deleted_at'        => $campaign_task->deleted_at,
            'url'               => [
                'public'    => trans_url('campaign/'.$campaign_task->getPublicKey()),
                'user'      => guard_url('campaign/campaign_task/'.$campaign_task->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campaign_task->status),
            'created_at'        => format_date($campaign_task->created_at),
            'updated_at'        => format_date($campaign_task->updated_at),
        ];
    }
}