<?php

namespace Litepie\Campaign\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampaignTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Campaign\Models\Campaign $campaign)
    {
        return [
            'id'                => $campaign->getRouteKey(),
            'key'               => [
                'public'    => $campaign->getPublicKey(),
                'route'     => $campaign->getRouteKey(),
            ], 
            'name'              => $campaign->name,
            'brand_id'          => $campaign->brand_id,
            'price'             => $campaign->price,
            'planning_date'     => $campaign->planning_date,
            'start_campaign'    => $campaign->start_campaign,
            'end_campaign'      => $campaign->end_campaign,
            'description'       => $campaign->description,
            'objectives'        => $campaign->objectives,
            'targetgroups'      => $campaign->targetgroups,
            'content'           => $campaign->content,
            'images'            => $campaign->images,
            'video'             => $campaign->video,
            'total_budget'      => $campaign->total_budget,
            'media_cost'        => $campaign->media_cost,
            'sum_discount'      => $campaign->sum_discount,
            'total_mediacost'   => $campaign->total_mediacost,
            'incentives'        => $campaign->incentives,
            'rest_budget'       => $campaign->rest_budget,
            'timing'            => $campaign->timing,
            'reach'             => $campaign->reach,
            'publishing'        => $campaign->publishing,
            'variant_id'        => $campaign->variant_id,
            'participants'      => $campaign->participants,
            'AIs'               => $campaign->AIs,
            'CTR'               => $campaign->CTR,
            'contact'           => $campaign->contact,
            'list_price'        => $campaign->list_price,
            'paid_price'        => $campaign->paid_price,
            'discount'          => $campaign->discount,
            'user_id'           => $campaign->user_id,
            'user_type'         => $campaign->user_type,
            'slug'              => $campaign->slug,
            'deleted_at'        => $campaign->deleted_at,
            'url'               => [
                'public'    => trans_url('campaign/'.$campaign->getPublicKey()),
                'user'      => guard_url('campaign/campaign/'.$campaign->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campaign->status),
            'created_at'        => format_date($campaign->created_at),
            'updated_at'        => format_date($campaign->updated_at),
        ];
    }
}