<?php

namespace Litepie\Campaign\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampaignVariantTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Campaign\Models\CampaignVariant $campaign_variant)
    {
        return [
            'id'                => $campaign_variant->getRouteKey(),
            'key'               => [
                'public'    => $campaign_variant->getPublicKey(),
                'route'     => $campaign_variant->getRouteKey(),
            ], 
            'variant_id'        => $campaign_variant->variant_id,
            'campaign_id'       => $campaign_variant->campaign_id,
            'brand_id'          => $campaign_variant->brand_id,
            'user_type'         => $campaign_variant->user_type,
            'user_id'           => $campaign_variant->user_id,
            'deleted_at'        => $campaign_variant->deleted_at,
            'url'               => [
                'public'    => trans_url('campaign/'.$campaign_variant->getPublicKey()),
                'user'      => guard_url('campaign/campaign_variant/'.$campaign_variant->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campaign_variant->status),
            'created_at'        => format_date($campaign_variant->created_at),
            'updated_at'        => format_date($campaign_variant->updated_at),
        ];
    }
}