<?php

namespace Litepie\Campaign\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class CampignCooperationTransformer extends TransformerAbstract
{
    public function transform(\Litepie\Campaign\Models\CampignCooperation $campign_cooperation)
    {
        return [
            'id'                => $campign_cooperation->getRouteKey(),
            'key'               => [
                'public'    => $campign_cooperation->getPublicKey(),
                'route'     => $campign_cooperation->getRouteKey(),
            ], 
            'cooperation_id'    => $campign_cooperation->cooperation_id,
            'campaign_id'       => $campign_cooperation->campaign_id,
            'brand_id'          => $campign_cooperation->brand_id,
            'user_id'           => $campign_cooperation->user_id,
            'user_type'         => $campign_cooperation->user_type,
            'deleted_at'        => $campign_cooperation->deleted_at,
            'url'               => [
                'public'    => trans_url('campaign/'.$campign_cooperation->getPublicKey()),
                'user'      => guard_url('campaign/campign_cooperation/'.$campign_cooperation->getRouteKey()),
            ], 
            'status'            => trans('app.'.$campign_cooperation->status),
            'created_at'        => format_date($campign_cooperation->created_at),
            'updated_at'        => format_date($campign_cooperation->updated_at),
        ];
    }
}